Subject: Re: can't commit files that have been git add'ed because "fatal: you need to resolve your current index first"

From: Jakub Narebski <[email-masked]>
Date: Wed, 28 Nov 2007 16:53:47 +0100

Bill Priest wrote:

> All,
>   I merged from one branch to another and had lots of
> conflicts.  I've resolved a set of files from the
> conflicts (in a directory) and did a git-add on this
> set of files.  I wasn't able to commit these files. 
> On IRC I was told that all files must be resolved
> before I can commit any of them.  This seems pretty
> limiting.  Why is a commit after a merge all or
> nothing; I thought that git  figured out merges and
> such by the differences between files??

You have to resolve _conflicts_ only. The rest is added
automatically. See git-status, git diff --merge,
git ls-files -u.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git